Bug 79919 - Oops while running xpdf
Oops while running xpdf
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
athlon Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2002-12-17 20:55 EST by Michael K. Johnson
Modified: 2007-04-18 12:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-12-18 20:00:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Michael K. Johnson 2002-12-17 20:55:18 EST
Description of problem:

Kernel oops while trying to print from within xpdf.

Unable to handle kernel NULL pointer dereference at virtual address 00000000
 printing eip:
*pde = 00000000
Oops: 0002
Kernel 2.4.9-34
CPU:    0
EIP:    0010:[system_call+3/56]    Not tainted
EIP:    0010:[<c0106f3b>]    Not tainted 
EFLAGS: 00010202
EIP is at system_call [kernel] 0x3 
eax: 0000008e   ebx: 00000004   ecx: bfffd510   edx: 00000000
esi: 00000000   edi: 00000000   ebp: bfffd5a8   esp: c316ffe4
ds: 002b   es: 002b   ss: 0018
Process xpdf (pid: 32255, stackpage=c316f000)
Stack: 0000002b 00000000 402c1b3e 00000023 00000202 bfffd4c0 0000002b 
Call Trace: 

Code: 1e 50 55 57 56 52 51 53 ba 18 00 00 00 8e da 8e c2 bb 00 e0

Had killed xpdf with xkill several times while trying to print before
this happened.

Version-Release number of selected component (if applicable):


How reproducible:

Not, so far.
Comment 1 Michael K. Johnson 2002-12-17 21:00:46 EST
There might have been multiple processes writing to a print
file from "xkilled" xpdfs at the same time.
Comment 2 Michael K. Johnson 2002-12-17 21:02:33 EST
Very shortly after the oops, the system crashed without writing
to disk, and rebooted itself.
Comment 3 Arjan van de Ven 2002-12-18 05:13:00 EST
> Version-Release number of selected component (if applicable):
> kernel-2.4.18-18.7.x.athlon.rpm

I don't think so Michael:

> Oops: 0002
> Kernel 2.4.9-34
> CPU:    0

Comment 4 Michael K. Johnson 2002-12-18 20:00:27 EST
Doh, I forgot that there was a new kernel installed in the meantime.
Sorry, was clearly not paying sufficient attention.  I've closed this
WORKSFORME, can always reopen...

Note You need to log in before you can comment on or make changes to this bug.